# Spoofchecker::areConfusable

(PHP 5 >= 5.4.0, PHP 7, PECL intl >= 2.0.0)

Spoofchecker::areConfusable — Checks if given strings can be confused

### Description

public Spoofchecker::areConfusable ( string `$str1` , string `$str2` [, string `&$error` ] ) : bool

Checks whether two given strings can easily be mistaken.

### Parameters

`str1`

  First string to check.

`str2`

  Second string to check.

`error`

  This variable is set by-reference to string containing an error, if there were any.

### Return Values

Returns `TRUE` if two given strings can be confused, `FALSE` otherwise.

### Examples

Example #1 Spoofchecker::areConfusable() example

`<?php
$checker = new Spoofchecker();
$checker->areConfusable('google.com', 'goog1e.com'); // true
// Lower l can be confused with digit one
$checker->areConfusable('google.com', 'g00g1e.com'); // false
// Zero (0) cannot be easily confused with "o" letter`